package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TDictMajorSourceMapper;
import com.goldenwater.slaj.hazard.domain.TDictMajorSource;
import com.goldenwater.slaj.hazard.service.ITDictMajorSourceService;

/**
 * 重大危险源字典 服务层实现
 */
@Service
public class TDictMajorSourceServiceImpl implements ITDictMajorSourceService {

    @Autowired
    private TDictMajorSourceMapper tDictMajorSourceMapper;

    @Override
    public TDictMajorSource selectTDictMajorSourceByGuid(String guid) {
        return tDictMajorSourceMapper.selectTDictMajorSourceByGuid(guid);
    }

    @Override
    public List<TDictMajorSource> selectTDictMajorSourceList(TDictMajorSource tDictMajorSource) {
        return tDictMajorSourceMapper.selectTDictMajorSourceList(tDictMajorSource);
    }

    @Override
    public int insertTDictMajorSource(TDictMajorSource tDictMajorSource) {
        return tDictMajorSourceMapper.insertTDictMajorSource(tDictMajorSource);
    }

    @Override
    public int updateTDictMajorSource(TDictMajorSource tDictMajorSource) {
        return tDictMajorSourceMapper.updateTDictMajorSource(tDictMajorSource);
    }

    @Override
    public int deleteTDictMajorSourceByGuid(String guid) {
        return tDictMajorSourceMapper.deleteTDictMajorSourceByGuid(guid);
    }

    @Override
    public int deleteTDictMajorSourceByGuids(String[] guids) {
        return tDictMajorSourceMapper.deleteTDictMajorSourceByGuids(guids);
    }
}
